Package twisted :: Package im :: Module basechat :: Class ContactsList

[show private | hide private]
[frames | no frames]

## Class ContactsList

A GUI object that displays a contacts list

Method Summary
| ``__init__`(self, chatui)`
| `contactChangedNick(self, person, newnick)`
| ``registerAccountClient`(self, client)` Notify the user that an account client has been signed on to.
| ``setContactStatus`(self, person)` Inform the user that a person's status has changed.
| ``unregisterAccountClient`(self, client)` Notify the user that an account client has been signed off or disconnected from.

Method Details

### __init__(self, chatui)
(Constructor)

  Parameters:
    `chatui` - ???
    (type=`ChatUI`)

### registerAccountClient(self, client)

Notify the user that an account client has been signed on to.

  Parameters:
    `client`
    (type=`Client<interfaces.IClient>`)

### setContactStatus(self, person)

Inform the user that a person's status has changed.

  Parameters:
    `person`
    (type=`Person<interfaces.IPerson>`)

### unregisterAccountClient(self, client)

Notify the user that an account client has been signed off or disconnected from.

  Parameters:
    `client`
    (type=`Client<interfaces.IClient>`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net